import { LiteralUnion, PartialDeep } from "type-fest";
export enum Intent {
    None = "none",
    Info = "info",
    Success = "warning",
    Warning = "success",
    Error = "error"
}
export type ThemeVariant = "light" | "dark";
export type ModePreference = ThemeVariant | "system";
export interface NumberFormatProps {
    value: number | string;
    style?: string;
}
export type NumberFormatter = (props: NumberFormatProps) => string;
declare const DEFAULT_ACCENTS: readonly ["red", "orange", "yellow", "green", "purple", "blue"];
type Accent = LiteralUnion<(typeof DEFAULT_ACCENTS)[number], string>;
declare const boxShadow: {
    xs: string;
    sm: string;
    base: string;
    md: string;
    lg: string;
    xl: string;
    "2xl": string;
    inset: string;
    primaryOutline: string;
    none: string;
    "dark-lg": string;
};
declare const themeContractTemplate: {
    readonly colors: {
        readonly black: string;
        readonly blackPrimary: string;
        readonly blackSecondary: string;
        readonly white: string;
        readonly transparent: string;
        readonly current: string;
        readonly whiteAlpha50: string;
        readonly whiteAlpha100: string;
        readonly whiteAlpha200: string;
        readonly whiteAlpha300: string;
        readonly whiteAlpha400: string;
        readonly whiteAlpha500: string;
        readonly whiteAlpha600: string;
        readonly whiteAlpha700: string;
        readonly whiteAlpha800: string;
        readonly whiteAlpha900: string;
        readonly blackAlpha50: string;
        readonly blackAlpha100: string;
        readonly blackAlpha200: string;
        readonly blackAlpha300: string;
        readonly blackAlpha400: string;
        readonly blackAlpha500: string;
        readonly blackAlpha600: string;
        readonly blackAlpha700: string;
        readonly blackAlpha800: string;
        readonly blackAlpha900: string;
        readonly gray50: string;
        readonly gray100: string;
        readonly gray200: string;
        readonly gray300: string;
        readonly gray400: string;
        readonly gray500: string;
        readonly gray600: string;
        readonly gray700: string;
        readonly gray800: string;
        readonly gray900: string;
        readonly red50: string;
        readonly red100: string;
        readonly red200: string;
        readonly red300: string;
        readonly red400: string;
        readonly red500: string;
        readonly red600: string;
        readonly red700: string;
        readonly red800: string;
        readonly red900: string;
        readonly orange50: string;
        readonly orange100: string;
        readonly orange200: string;
        readonly orange300: string;
        readonly orange400: string;
        readonly orange500: string;
        readonly orange600: string;
        readonly orange700: string;
        readonly orange800: string;
        readonly orange900: string;
        readonly yellow50: string;
        readonly yellow100: string;
        readonly yellow200: string;
        readonly yellow300: string;
        readonly yellow400: string;
        readonly yellow500: string;
        readonly yellow600: string;
        readonly yellow700: string;
        readonly yellow800: string;
        readonly yellow900: string;
        readonly green50: string;
        readonly green100: string;
        readonly green200: string;
        readonly green300: string;
        readonly green400: string;
        readonly green500: string;
        readonly green600: string;
        readonly green700: string;
        readonly green800: string;
        readonly green900: string;
        readonly blue50: string;
        readonly blue100: string;
        readonly blue200: string;
        readonly blue300: string;
        readonly blue400: string;
        readonly blue500: string;
        readonly blue600: string;
        readonly blue700: string;
        readonly blue800: string;
        readonly blue900: string;
        readonly primary50: string;
        readonly primary100: string;
        readonly primary200: string;
        readonly primary300: string;
        readonly primary400: string;
        readonly primary500: string;
        readonly primary600: string;
        readonly primary700: string;
        readonly primary800: string;
        readonly primary900: string;
        readonly purple50: string;
        readonly purple100: string;
        readonly purple200: string;
        readonly purple300: string;
        readonly purple400: string;
        readonly purple500: string;
        readonly purple600: string;
        readonly purple700: string;
        readonly purple800: string;
        readonly purple900: string;
        readonly accent: "";
        readonly accentText: "";
        readonly primary: "";
        readonly body: "";
        readonly background: "";
        readonly link: "";
        readonly linkHover: "";
        readonly text: "";
        readonly textInverse: "";
        readonly textSecondary: "";
        readonly textDanger: "";
        readonly textWarning: "";
        readonly textPlaceholder: "";
        readonly textSuccess: "";
        readonly rewardBg: "";
        readonly rewardContent: "";
        readonly cardBg: "";
        readonly inputBorder: "";
        readonly inputBorderFocus: "";
        readonly inputBg: "";
        readonly inputDangerBorder: "";
        readonly inputDangerBg: "";
        readonly inputDisabledBg: "";
        readonly inputDisabledText: "";
        readonly progressBg: "";
        readonly progressValue: "";
        readonly progressCursor: "";
        readonly trackBg: "";
        readonly divider: "";
        readonly menuItemBg: "";
        readonly menuItemBgSelected: "";
        readonly menuItemBgHovered: "";
        readonly menuItemBgActive: "";
        readonly skeletonBg: "";
    };
    readonly font: {
        readonly body: "";
    };
    readonly space: {
        readonly "0": "";
        readonly "1": "";
        readonly "2": "";
        readonly "3": "";
        readonly "4": "";
        readonly "5": "";
        readonly "6": "";
        readonly "7": "";
        readonly "8": "";
        readonly "9": "";
        readonly "10": "";
        readonly "11": "";
        readonly "12": "";
        readonly "13": "";
        readonly "14": "";
        readonly "15": "";
        readonly "16": "";
        readonly "17": "";
        readonly "18": "";
        readonly "19": "";
        readonly "20": "";
        readonly "21": "";
        readonly "22": "";
        readonly "23": "";
        readonly "24": "";
        readonly "25": "";
        readonly "26": "";
        readonly "27": "";
        readonly "28": "";
        readonly "29": "";
        readonly "30": "";
        readonly auto: "";
        readonly full: "";
        readonly fit: "";
        readonly max: "";
        readonly min: "";
        readonly viewHeight: "";
        readonly viewWidth: "";
        readonly containerSm: "";
        readonly containerMd: "";
        readonly containerLg: "";
        readonly containerXl: "";
        readonly prose: "";
        readonly none: "";
    };
    readonly borderWidth: {
        readonly none: "";
        readonly sm: "";
        readonly base: "";
        readonly md: "";
        readonly lg: "";
        readonly xl: "";
    };
    readonly borderStyle: {
        readonly none: "";
        readonly solid: "";
        readonly dotted: "";
        readonly dashed: "";
        readonly groove: "";
        readonly ridge: "";
        readonly hidden: "";
        readonly double: "";
        readonly inset: "";
        readonly outset: "";
        readonly unset: "";
    };
    readonly boxShadow: {
        readonly xs: "";
        readonly sm: "";
        readonly base: "";
        readonly md: "";
        readonly lg: "";
        readonly xl: "";
        readonly "2xl": "";
        readonly inset: "";
        readonly primaryOutline: "";
        readonly none: "";
        readonly "dark-lg": "";
    };
    readonly radii: {
        readonly none: "";
        readonly sm: "";
        readonly base: "";
        readonly md: "";
        readonly lg: "";
        readonly xl: "";
        readonly "2xl": "";
        readonly "3xl": "";
        readonly "4xl": "";
        readonly full: "";
    };
    readonly letterSpacing: {
        readonly tighter: "";
        readonly tight: "";
        readonly normal: "";
        readonly wide: "";
        readonly wider: "";
        readonly widest: "";
    };
    readonly lineHeight: {
        readonly normal: "";
        readonly none: "";
        readonly shorter: "";
        readonly short: "";
        readonly base: "";
        readonly tall: "";
        readonly taller: "";
    };
    readonly fontWeight: {
        readonly hairline: "";
        readonly thin: "";
        readonly light: "";
        readonly normal: "";
        readonly medium: "";
        readonly semibold: "";
        readonly bold: "";
        readonly extrabold: "";
        readonly black: "";
    };
    readonly fontSize: {
        readonly "3xs": "";
        readonly "2xs": "";
        readonly xs: "";
        readonly sm: "";
        readonly md: "";
        readonly lg: "";
        readonly xl: "";
        readonly "2xl": "";
        readonly "3xl": "";
        readonly "4xl": "";
        readonly "5xl": "";
        readonly "6xl": "";
        readonly "7xl": "";
        readonly "8xl": "";
        readonly "9xl": "";
        readonly "10xl": "";
        readonly "11xl": "";
        readonly "12xl": "";
        readonly "13xl": "";
        readonly "14xl": "";
        readonly "15xl": "";
    };
    readonly zIndex: {
        readonly "-1": "";
        readonly "0": "";
        readonly "10": "";
        readonly "20": "";
        readonly "30": "";
        readonly "40": "";
        readonly "50": "";
        readonly "100": "";
        readonly auto: "";
    };
};
type OverridableState = "hover" | "active" | "disabled" | "focused";
type Bg = "bg" | `${OverridableState}Bg`;
type TextColor = "color" | `${OverridableState}Color`;
type Shadow = "shadow" | `${OverridableState}Shadow`;
type BorderColor = "borderColor" | `${OverridableState}BorderColor`;
type OverridableProp = Bg | TextColor | Shadow | BorderColor;
type OverridableComponents = "button" | "clipboard-copy-text" | "connect-modal" | "connect-modal-install-button" | "connect-modal-head-title" | "connect-modal-wallet-button" | "connect-modal-wallet-button-label" | "connect-modal-wallet-button-sublogo" | "connect-modal-qr-code" | "connect-modal-qr-code-shadow" | "connect-modal-qr-code-error" | "connect-modal-qr-code-error-button" | "connect-modal-qr-code-loading";
type OverrideValue = Partial<Record<OverridableProp, {
    light: string;
    dark: string;
}>>;
type ComponentOverrideMap = Partial<Record<OverridableComponents, OverrideValue>>;
type CustomThemeVars = PartialDeep<typeof themeContractTemplate>;
type SingleThemeDef = {
    name: string;
    vars: CustomThemeVars;
};
type ThemeDef = SingleThemeDef;
declare const rainbowSprinkles: import("rainbow-sprinkles/dist/declarations/src/createRuntimeFn").SprinklesFn<[{
    config: {
        display: {
            values: {
                none: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                flex: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                grid: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                block: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                inline: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                table: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "table-cell": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "table-row": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "inline-block": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "inline-flex": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "inline-grid": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
            };
            staticScale: ("none" | "flex" | "grid" | "block" | "inline" | "table" | "table-cell" | "table-row" | "inline-block" | "inline-flex" | "inline-grid")[];
            name: "display";
        };
        position: {
            values: {
                fixed: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                absolute: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                relative: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                sticky: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
            };
            staticScale: ("fixed" | "absolute" | "relative" | "sticky")[];
            name: "position";
        };
        padding: {
            values: {
                none: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                0: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                1: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                2: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                auto: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                10: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                20: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                30: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                3: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                4: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                5: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                6: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                7: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                8: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                9: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                11: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                12: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                13: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                14: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                15: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                16: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                17: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                18: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                19: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                21: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                22: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                23: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                24: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                25: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                26: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                27: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                28: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                29: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                full: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                fit: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                max: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                min: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewHeight: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewWidth: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerSm: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerMd: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerLg: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerXl: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                prose: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/5": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/2": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "2/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "3/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
            };
            staticScale: {
                "1/5": string;
                "1/4": string;
                "1/3": string;
                "1/2": string;
                "2/3": string;
                "3/4": string;
                "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "padding";
        };
        paddingLeft: {
            values: {
                none: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                0: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                1: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                2: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                auto: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                10: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                20: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                30: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                3: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                4: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                5: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                6: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                7: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                8: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                9: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                11: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                12: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                13: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                14: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                15: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                16: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                17: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                18: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                19: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                21: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                22: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                23: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                24: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                25: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                26: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                27: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                28: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                29: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                full: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                fit: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                max: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                min: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewHeight: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewWidth: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerSm: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerMd: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerLg: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerXl: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                prose: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/5": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/2": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "2/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "3/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
            };
            staticScale: {
                "1/5": string;
                "1/4": string;
                "1/3": string;
                "1/2": string;
                "2/3": string;
                "3/4": string;
                "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "paddingLeft";
        };
        paddingRight: {
            values: {
                none: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                0: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                1: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                2: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                auto: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                10: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                20: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                30: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                3: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                4: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                5: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                6: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                7: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                8: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                9: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                11: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                12: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                13: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                14: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                15: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                16: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                17: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                18: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                19: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                21: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                22: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                23: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                24: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                25: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                26: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                27: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                28: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                29: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                full: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                fit: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                max: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                min: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewHeight: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewWidth: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerSm: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerMd: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerLg: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerXl: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                prose: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/5": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/2": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "2/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "3/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
            };
            staticScale: {
                "1/5": string;
                "1/4": string;
                "1/3": string;
                "1/2": string;
                "2/3": string;
                "3/4": string;
                "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "paddingRight";
        };
        paddingTop: {
            values: {
                none: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                0: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                1: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                2: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                auto: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                10: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                20: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                30: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                3: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                4: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                5: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                6: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                7: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                8: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                9: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                11: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                12: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                13: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                14: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                15: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                16: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                17: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                18: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                19: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                21: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                22: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                23: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                24: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                25: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                26: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                27: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                28: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                29: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                full: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                fit: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                max: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                min: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewHeight: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewWidth: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerSm: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerMd: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerLg: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerXl: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                prose: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/5": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/2": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "2/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "3/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
            };
            staticScale: {
                "1/5": string;
                "1/4": string;
                "1/3": string;
                "1/2": string;
                "2/3": string;
                "3/4": string;
                "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "paddingTop";
        };
        paddingBottom: {
            values: {
                none: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                0: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                1: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                2: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                auto: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                10: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                20: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                30: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                3: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                4: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                5: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                6: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                7: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                8: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                9: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                11: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                12: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                13: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                14: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                15: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                16: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                17: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                18: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                19: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                21: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                22: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                23: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                24: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                25: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                26: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                27: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                28: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                29: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                full: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                fit: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                max: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                min: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewHeight: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewWidth: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerSm: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerMd: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerLg: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerXl: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                prose: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/5": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/2": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "2/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "3/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
            };
            staticScale: {
                "1/5": string;
                "1/4": string;
                "1/3": string;
                "1/2": string;
                "2/3": string;
                "3/4": string;
                "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "paddingBottom";
        };
        width: {
            values: {
                none: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                0: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                1: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                2: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                auto: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                10: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                20: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                30: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                3: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                4: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                5: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                6: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                7: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                8: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                9: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                11: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                12: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                13: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                14: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                15: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                16: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                17: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                18: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                19: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                21: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                22: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                23: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                24: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                25: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                26: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                27: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                28: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                29: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                full: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                fit: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                max: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                min: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewHeight: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewWidth: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerSm: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerMd: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerLg: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerXl: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                prose: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/5": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/2": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "2/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "3/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
            };
            staticScale: {
                "1/5": string;
                "1/4": string;
                "1/3": string;
                "1/2": string;
                "2/3": string;
                "3/4": string;
                "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "width";
        };
        height: {
            values: {
                none: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                0: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                1: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                2: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                auto: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                10: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                20: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                30: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                3: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                4: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                5: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                6: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                7: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                8: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                9: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                11: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                12: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                13: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                14: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                15: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                16: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                17: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                18: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                19: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                21: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                22: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                23: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                24: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                25: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                26: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                27: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                28: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                29: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                full: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                fit: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                max: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                min: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewHeight: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewWidth: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerSm: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerMd: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerLg: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerXl: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                prose: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/5": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/2": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "2/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "3/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
            };
            staticScale: {
                "1/5": string;
                "1/4": string;
                "1/3": string;
                "1/2": string;
                "2/3": string;
                "3/4": string;
                "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "height";
        };
        minWidth: {
            values: {
                none: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                0: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                1: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                2: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                auto: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                10: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                20: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                30: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                3: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                4: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                5: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                6: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                7: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                8: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                9: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                11: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                12: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                13: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                14: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                15: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                16: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                17: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                18: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                19: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                21: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                22: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                23: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                24: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                25: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                26: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                27: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                28: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                29: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                full: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                fit: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                max: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                min: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewHeight: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewWidth: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerSm: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerMd: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerLg: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerXl: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                prose: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/5": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/2": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "2/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "3/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
            };
            staticScale: {
                "1/5": string;
                "1/4": string;
                "1/3": string;
                "1/2": string;
                "2/3": string;
                "3/4": string;
                "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "minWidth";
        };
        minHeight: {
            values: {
                none: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                0: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                1: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                2: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                auto: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                10: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                20: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                30: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                3: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                4: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                5: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                6: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                7: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                8: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                9: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                11: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                12: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                13: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                14: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                15: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                16: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                17: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                18: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                19: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                21: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                22: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                23: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                24: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                25: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                26: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                27: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                28: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                29: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                full: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                fit: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                max: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                min: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewHeight: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewWidth: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerSm: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerMd: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerLg: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerXl: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                prose: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/5": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/2": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "2/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "3/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
            };
            staticScale: {
                "1/5": string;
                "1/4": string;
                "1/3": string;
                "1/2": string;
                "2/3": string;
                "3/4": string;
                "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "minHeight";
        };
        maxWidth: {
            values: {
                none: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                0: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                1: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                2: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                auto: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                10: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                20: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                30: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                3: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                4: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                5: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                6: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                7: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                8: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                9: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                11: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                12: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                13: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                14: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                15: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                16: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                17: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                18: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                19: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                21: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                22: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                23: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                24: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                25: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                26: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                27: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                28: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                29: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                full: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                fit: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                max: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                min: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewHeight: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewWidth: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerSm: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerMd: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerLg: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerXl: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                prose: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/5": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/2": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "2/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "3/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
            };
            staticScale: {
                "1/5": string;
                "1/4": string;
                "1/3": string;
                "1/2": string;
                "2/3": string;
                "3/4": string;
                "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "maxWidth";
        };
        maxHeight: {
            values: {
                none: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                0: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                1: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                2: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                auto: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                10: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                20: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                30: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                3: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                4: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                5: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                6: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                7: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                8: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                9: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                11: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                12: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                13: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                14: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                15: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                16: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                17: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                18: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                19: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                21: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                22: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                23: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                24: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                25: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                26: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                27: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                28: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                29: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                full: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                fit: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                max: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                min: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewHeight: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                viewWidth: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerSm: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerMd: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerLg: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                containerXl: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                prose: {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/5": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "1/2": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "2/3": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
                "3/4": {
                    default: string;
                    conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
                };
            };
            staticScale: {
                "1/5": string;
                "1/4": string;
                "1/3": string;
                "1/2": string;
                "2/3": string;
                "3/4": string;
                "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "maxHeight";
        };
    };
} & {
    config: {
        display: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "display";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        tableLayout: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "tableLayout";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        backgroundImage: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "backgroundImage";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        backgroundSize: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "backgroundSize";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        backgroundPosition: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "backgroundPosition";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        backgroundRepeat: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "backgroundRepeat";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        objectFit: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "objectFit";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        flex: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "flex";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        flexBasis: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "flexBasis";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        flexShrink: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "flexShrink";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        flexGrow: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "flexGrow";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        flexDirection: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "flexDirection";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        flexWrap: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "flexWrap";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        alignItems: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "alignItems";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        alignSelf: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "alignSelf";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        justifyContent: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "justifyContent";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        padding: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "padding";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        paddingLeft: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "paddingLeft";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        paddingRight: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "paddingRight";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        paddingTop: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "paddingTop";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        paddingBottom: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "paddingBottom";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        width: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "width";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        height: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "height";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        minWidth: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "minWidth";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        minHeight: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "minHeight";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        maxWidth: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "maxWidth";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        maxHeight: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "maxHeight";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        borderRadius: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly sm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly base: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly md: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly lg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly xl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "2xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "3xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "4xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "borderRadius";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        borderTopLeftRadius: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "borderTopLeftRadius";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        borderBottomLeftRadius: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "borderBottomLeftRadius";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        borderTopRightRadius: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "borderTopRightRadius";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        borderBottomRightRadius: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "borderBottomRightRadius";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        fontFamily: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly body: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "fontFamily";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        fontSize: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly "3xs": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "2xs": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly xs: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly sm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly md: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly lg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly xl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "2xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "3xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "4xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "5xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "6xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "7xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "8xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "9xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "10xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "11xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "12xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "13xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "14xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "15xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "fontSize";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        lineHeight: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly normal: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly shorter: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly short: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly base: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly tall: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly taller: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "lineHeight";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        textAlign: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "textAlign";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        zIndex: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly "-1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "40": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "50": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "100": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "zIndex";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        position: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "position";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        top: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "top";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        left: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "left";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        right: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "right";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        bottom: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "bottom";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        verticalAlign: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "verticalAlign";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        margin: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "margin";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        marginBottom: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "marginBottom";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        marginLeft: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "marginLeft";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        marginRight: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "marginRight";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        marginTop: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "marginTop";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        letterSpacing: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly tighter: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly tight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly normal: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly wide: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly wider: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly widest: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "letterSpacing";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        textTransform: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "textTransform";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        fontWeight: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly hairline: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly thin: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly light: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly normal: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly medium: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly semibold: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly bold: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly extrabold: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly black: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "fontWeight";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        whiteSpace: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "whiteSpace";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        wordBreak: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "wordBreak";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        overflowWrap: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "overflowWrap";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        fill: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "fill";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        outline: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "outline";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        overflow: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "overflow";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        overflowX: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "overflowX";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        overflowY: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "overflowY";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        textOverflow: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "textOverflow";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        aspectRatio: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "aspectRatio";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        opacity: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "opacity";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        cursor: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "cursor";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        gridTemplateColumns: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "gridTemplateColumns";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        grid: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "grid";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        gridArea: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "gridArea";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        gridAutoColumns: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "gridAutoColumns";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        gridAutoFlow: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "gridAutoFlow";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        gridAutoRows: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "gridAutoRows";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        gridColumn: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "gridColumn";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        gridColumnEnd: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "gridColumnEnd";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        gridColumnStart: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "gridColumnStart";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        gridTemplate: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "gridTemplate";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        gridTemplateAreas: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "gridTemplateAreas";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        gridTemplateRows: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "gridTemplateRows";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        gridRow: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "gridRow";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        gridRowEnd: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "gridRowEnd";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        gridRowStart: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "gridRowStart";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        gap: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "gap";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        columnGap: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "columnGap";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        rowGap: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: {
                readonly "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "2": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "3": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "4": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "5": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "6": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "7": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "8": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "9": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "11": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "12": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "13": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "14": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "15": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "16": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "17": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "18": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "19": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "21": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "22": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "23": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "24": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "25": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "26": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "27": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "28": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "29": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly full: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly fit: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly max: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly min: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewHeight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly viewWidth: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerSm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerMd: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerLg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly containerXl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly prose: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "rowGap";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        inset: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "inset";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        insetInlineStart: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "insetInlineStart";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        insetInlineEnd: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "insetInlineEnd";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
        transform: {
            dynamic: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
            dynamicScale: true;
            name: "transform";
            vars: {
                default: string;
                conditions: Record<"mobile" | "mdMobile" | "tablet" | "desktop", string>;
            };
        };
    };
} & {
    config: {
        p: {
            mappings: "padding"[];
        };
        pl: {
            mappings: "paddingLeft"[];
        };
        pr: {
            mappings: "paddingRight"[];
        };
        pt: {
            mappings: "paddingTop"[];
        };
        pb: {
            mappings: "paddingBottom"[];
        };
        paddingX: {
            mappings: ("paddingLeft" | "paddingRight")[];
        };
        paddingY: {
            mappings: ("paddingBottom" | "paddingTop")[];
        };
        px: {
            mappings: ("paddingLeft" | "paddingRight")[];
        };
        py: {
            mappings: ("paddingBottom" | "paddingTop")[];
        };
        m: {
            mappings: "margin"[];
        };
        mr: {
            mappings: "marginRight"[];
        };
        ml: {
            mappings: "marginLeft"[];
        };
        mt: {
            mappings: "marginTop"[];
        };
        mb: {
            mappings: "marginBottom"[];
        };
        marginX: {
            mappings: ("marginLeft" | "marginRight")[];
        };
        marginY: {
            mappings: ("marginBottom" | "marginTop")[];
        };
        mx: {
            mappings: ("marginLeft" | "marginRight")[];
        };
        my: {
            mappings: ("marginBottom" | "marginTop")[];
        };
    };
}, {
    config: {
        color: {
            values: {
                transparent: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                background: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                link: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                black: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackPrimary: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackSecondary: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                white: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                current: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                accent: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                accentText: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                body: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                linkHover: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                text: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                textInverse: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                textSecondary: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                textDanger: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                textWarning: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                textPlaceholder: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                textSuccess: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                rewardBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                rewardContent: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                cardBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputBorder: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputBorderFocus: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputDangerBorder: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputDangerBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputDisabledBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputDisabledText: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                progressBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                progressValue: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                progressCursor: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                trackBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                divider: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                menuItemBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                menuItemBgSelected: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                menuItemBgHovered: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                menuItemBgActive: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                skeletonBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
            };
            staticScale: {
                readonly black: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackPrimary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly white: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly transparent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly current: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accentText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly body: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly link: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly linkHover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly text: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textInverse: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textDanger: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textWarning: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textPlaceholder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSuccess: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardContent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly cardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorderFocus: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressValue: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressCursor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly trackBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly divider: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgSelected: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgHovered: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgActive: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly skeletonBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "color";
        };
        backgroundColor: {
            values: {
                transparent: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                background: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                link: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                black: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackPrimary: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackSecondary: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                white: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                current: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                accent: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                accentText: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                body: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                linkHover: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                text: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                textInverse: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                textSecondary: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                textDanger: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                textWarning: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                textPlaceholder: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                textSuccess: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                rewardBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                rewardContent: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                cardBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputBorder: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputBorderFocus: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputDangerBorder: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputDangerBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputDisabledBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputDisabledText: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                progressBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                progressValue: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                progressCursor: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                trackBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                divider: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                menuItemBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                menuItemBgSelected: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                menuItemBgHovered: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                menuItemBgActive: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                skeletonBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
            };
            staticScale: {
                readonly black: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackPrimary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly white: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly transparent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly current: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accentText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly body: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly link: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly linkHover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly text: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textInverse: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textDanger: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textWarning: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textPlaceholder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSuccess: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardContent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly cardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorderFocus: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressValue: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressCursor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly trackBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly divider: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgSelected: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgHovered: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgActive: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly skeletonBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "backgroundColor";
        };
        borderColor: {
            values: {
                transparent: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                background: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                link: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                black: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackPrimary: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackSecondary: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                white: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                current: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                whiteAlpha900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blackAlpha900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                gray900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                red900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                orange900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                yellow900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                green900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                blue900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple50: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple100: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple200: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple300: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple400: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple500: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple600: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple700: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple800: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                purple900: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                accent: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                accentText: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primary: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                body: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                linkHover: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                text: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                textInverse: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                textSecondary: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                textDanger: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                textWarning: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                textPlaceholder: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                textSuccess: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                rewardBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                rewardContent: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                cardBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputBorder: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputBorderFocus: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputDangerBorder: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputDangerBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputDisabledBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inputDisabledText: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                progressBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                progressValue: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                progressCursor: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                trackBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                divider: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                menuItemBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                menuItemBgSelected: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                menuItemBgHovered: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                menuItemBgActive: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                skeletonBg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
            };
            staticScale: {
                readonly black: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackPrimary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly white: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly transparent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly current: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accentText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly body: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly link: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly linkHover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly text: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textInverse: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textDanger: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textWarning: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textPlaceholder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSuccess: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardContent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly cardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorderFocus: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressValue: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressCursor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly trackBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly divider: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgSelected: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgHovered: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgActive: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly skeletonBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "borderColor";
        };
        boxShadow: {
            values: {
                none: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                inset: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                sm: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                base: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                md: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                lg: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                xl: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                xs: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                "2xl": {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                primaryOutline: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                "dark-lg": {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
            };
            staticScale: {
                readonly xs: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly sm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly base: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly md: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly lg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly xl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "2xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inset: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primaryOutline: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "dark-lg": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "boxShadow";
        };
        visibility: {
            values: {
                hidden: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                visible: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
                collapse: {
                    default: string;
                    conditions: Record<"base" | "hover" | "active", string>;
                };
            };
            staticScale: ("hidden" | "visible" | "collapse")[];
            name: "visibility";
        };
    };
} & {
    config: {
        color: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: {
                readonly black: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackPrimary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly white: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly transparent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly current: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accentText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly body: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly link: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly linkHover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly text: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textInverse: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textDanger: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textWarning: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textPlaceholder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSuccess: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardContent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly cardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorderFocus: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressValue: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressCursor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly trackBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly divider: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgSelected: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgHovered: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgActive: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly skeletonBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "color";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        visibility: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: true;
            name: "visibility";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        filter: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: true;
            name: "filter";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        fill: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: {
                readonly black: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackPrimary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly white: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly transparent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly current: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accentText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly body: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly link: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly linkHover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly text: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textInverse: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textDanger: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textWarning: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textPlaceholder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSuccess: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardContent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly cardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorderFocus: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressValue: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressCursor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly trackBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly divider: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgSelected: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgHovered: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgActive: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly skeletonBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "fill";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        stroke: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: {
                readonly black: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackPrimary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly white: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly transparent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly current: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accentText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly body: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly link: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly linkHover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly text: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textInverse: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textDanger: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textWarning: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textPlaceholder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSuccess: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardContent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly cardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorderFocus: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressValue: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressCursor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly trackBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly divider: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgSelected: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgHovered: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgActive: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly skeletonBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "stroke";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        backgroundColor: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: {
                readonly black: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackPrimary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly white: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly transparent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly current: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accentText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly body: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly link: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly linkHover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly text: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textInverse: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textDanger: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textWarning: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textPlaceholder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSuccess: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardContent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly cardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorderFocus: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressValue: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressCursor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly trackBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly divider: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgSelected: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgHovered: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgActive: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly skeletonBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "backgroundColor";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        borderWidth: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: {
                readonly none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly sm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly base: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly md: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly lg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly xl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "borderWidth";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        borderStyle: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: {
                readonly none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly solid: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly dotted: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly dashed: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly groove: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly ridge: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly hidden: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly double: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inset: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly outset: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly unset: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "borderStyle";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        borderColor: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: {
                readonly black: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackPrimary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly white: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly transparent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly current: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accentText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly body: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly link: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly linkHover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly text: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textInverse: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textDanger: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textWarning: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textPlaceholder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSuccess: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardContent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly cardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorderFocus: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressValue: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressCursor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly trackBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly divider: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgSelected: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgHovered: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgActive: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly skeletonBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "borderColor";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        borderBottomColor: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: {
                readonly black: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackPrimary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly white: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly transparent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly current: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accentText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly body: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly link: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly linkHover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly text: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textInverse: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textDanger: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textWarning: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textPlaceholder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSuccess: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardContent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly cardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorderFocus: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressValue: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressCursor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly trackBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly divider: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgSelected: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgHovered: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgActive: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly skeletonBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "borderBottomColor";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        borderBottomStyle: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: true;
            name: "borderBottomStyle";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        borderBottomWidth: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: true;
            name: "borderBottomWidth";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        borderTopColor: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: {
                readonly black: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackPrimary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly white: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly transparent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly current: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accentText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly body: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly link: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly linkHover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly text: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textInverse: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textDanger: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textWarning: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textPlaceholder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSuccess: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardContent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly cardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorderFocus: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressValue: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressCursor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly trackBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly divider: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgSelected: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgHovered: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgActive: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly skeletonBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "borderTopColor";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        borderTopStyle: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: true;
            name: "borderTopStyle";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        borderTopWidth: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: true;
            name: "borderTopWidth";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        borderLeftColor: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: {
                readonly black: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackPrimary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly white: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly transparent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly current: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accentText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly body: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly link: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly linkHover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly text: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textInverse: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textDanger: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textWarning: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textPlaceholder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSuccess: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardContent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly cardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorderFocus: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressValue: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressCursor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly trackBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly divider: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgSelected: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgHovered: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgActive: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly skeletonBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "borderLeftColor";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        borderLeftStyle: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: true;
            name: "borderLeftStyle";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        borderLeftWidth: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: true;
            name: "borderLeftWidth";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        borderRightColor: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: {
                readonly black: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackPrimary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly white: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly transparent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly current: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly whiteAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blackAlpha900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly gray900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly red900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly orange900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly yellow900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly green900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly blue900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple50: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple100: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple200: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple300: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple400: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple500: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple600: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple700: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple800: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly purple900: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly accentText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly body: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly background: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly link: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly linkHover: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly text: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textInverse: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSecondary: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textDanger: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textWarning: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textPlaceholder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly textSuccess: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly rewardContent: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly cardBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBorderFocus: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBorder: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDangerBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inputDisabledText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressValue: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly progressCursor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly trackBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly divider: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgSelected: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgHovered: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly menuItemBgActive: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly skeletonBg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "borderRightColor";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        borderRightStyle: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: true;
            name: "borderRightStyle";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        borderRightWidth: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: true;
            name: "borderRightWidth";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        borderCollapse: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: true;
            name: "borderCollapse";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        boxShadow: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: {
                readonly xs: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly sm: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly base: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly md: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly lg: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly xl: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "2xl": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly inset: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly primaryOutline: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly none: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "dark-lg": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "boxShadow";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        transform: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: true;
            name: "transform";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        transition: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: true;
            name: "transition";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        animation: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: true;
            name: "animation";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        textDecoration: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: true;
            name: "textDecoration";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        zIndex: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: {
                readonly "-1": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "0": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "10": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "20": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "30": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "40": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "50": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly "100": `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
                readonly auto: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            };
            name: "zIndex";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
        fontVariantNumeric: {
            dynamic: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
            dynamicScale: true;
            name: "fontVariantNumeric";
            vars: {
                default: string;
                conditions: Record<"base" | "hover" | "active", string>;
            };
        };
    };
} & {
    config: {
        bg: {
            mappings: "backgroundColor"[];
        };
        border: {
            mappings: ("borderColor" | "borderStyle" | "borderWidth")[];
        };
    };
}]>;
export type Sprinkles = Parameters<typeof rainbowSprinkles>[0];
type Children = any;
export type GridColumn = {
    id: string;
    width?: Sprinkles["width"];
    label?: string;
    align?: "left" | "center" | "right";
    color?: Sprinkles["color"];
    textTransform?: Sprinkles["textTransform"];
    render?: (value: any, column: GridColumn, isPinned?: boolean) => Children;
};
declare class OverrideStyleManager {
    _overrideMap: ComponentOverrideMap;
    _theme: ThemeVariant;
    constructor(theme: ThemeVariant);
    update(overrideMap: ComponentOverrideMap | null, theme: ThemeVariant | null): void;
    applyOverrides(component: OverridableComponents): {
        [cssVarName: string]: string;
    };
}
export interface UIState {
    themeMode: ModePreference;
    theme: ThemeVariant;
    themeClass: string;
    themeClasses: [string, string];
    themeAccent: Accent;
    customTheme: string | null;
    themeDefs: Array<ThemeDef>;
    overrideStyleManager: OverrideStyleManager;
    _hasHydrated: boolean;
}
export interface UIAction {
    setThemeMode: (mode: ModePreference) => void;
    setTheme: (theme: ThemeVariant, themeClass: string) => void;
    setThemeDefs: (defs: Array<ThemeDef>, defaultTheme?: string) => void;
    setCustomTheme: (customTheme: string) => void;
    setThemeAccent: (accent: Accent) => void;
    setHasHydrated: (hasHydrated: boolean) => void;
}
interface I18nState {
    formatNumber: NumberFormatter;
}
interface I18nAction {
    setFormatNumberFn: (fn: NumberFormatter) => void;
}
export interface UIStore extends UIState, UIAction, I18nState, I18nAction {
}
export const store: Omit<Omit<import("zustand/vanilla").StoreApi<UIStore>, "persist"> & {
    persist: {
        setOptions: (options: Partial<import("zustand/middleware").PersistOptions<UIStore, {
            themeMode: ModePreference;
        }>>) => void;
        clearStorage: () => void;
        rehydrate: () => void | Promise<void>;
        hasHydrated: () => boolean;
        onHydrate: (fn: (state: UIStore) => void) => () => void;
        onFinishHydration: (fn: (state: UIStore) => void) => () => void;
        getOptions: () => Partial<import("zustand/middleware").PersistOptions<UIStore, {
            themeMode: ModePreference;
        }>>;
    };
}, "setState"> & {
    setState(nextStateOrUpdater: UIStore | Partial<UIStore> | ((state: {
        themeMode: ModePreference;
        theme: ThemeVariant;
        themeClass: string;
        themeClasses: [string, string];
        themeAccent: Accent;
        customTheme: string | null;
        themeDefs: {
            name: string;
            vars: {
                colors?: {
                    black?: string;
                    blackPrimary?: string;
                    blackSecondary?: string;
                    white?: string;
                    transparent?: string;
                    current?: string;
                    whiteAlpha50?: string;
                    whiteAlpha100?: string;
                    whiteAlpha200?: string;
                    whiteAlpha300?: string;
                    whiteAlpha400?: string;
                    whiteAlpha500?: string;
                    whiteAlpha600?: string;
                    whiteAlpha700?: string;
                    whiteAlpha800?: string;
                    whiteAlpha900?: string;
                    blackAlpha50?: string;
                    blackAlpha100?: string;
                    blackAlpha200?: string;
                    blackAlpha300?: string;
                    blackAlpha400?: string;
                    blackAlpha500?: string;
                    blackAlpha600?: string;
                    blackAlpha700?: string;
                    blackAlpha800?: string;
                    blackAlpha900?: string;
                    gray50?: string;
                    gray100?: string;
                    gray200?: string;
                    gray300?: string;
                    gray400?: string;
                    gray500?: string;
                    gray600?: string;
                    gray700?: string;
                    gray800?: string;
                    gray900?: string;
                    red50?: string;
                    red100?: string;
                    red200?: string;
                    red300?: string;
                    red400?: string;
                    red500?: string;
                    red600?: string;
                    red700?: string;
                    red800?: string;
                    red900?: string;
                    orange50?: string;
                    orange100?: string;
                    orange200?: string;
                    orange300?: string;
                    orange400?: string;
                    orange500?: string;
                    orange600?: string;
                    orange700?: string;
                    orange800?: string;
                    orange900?: string;
                    yellow50?: string;
                    yellow100?: string;
                    yellow200?: string;
                    yellow300?: string;
                    yellow400?: string;
                    yellow500?: string;
                    yellow600?: string;
                    yellow700?: string;
                    yellow800?: string;
                    yellow900?: string;
                    green50?: string;
                    green100?: string;
                    green200?: string;
                    green300?: string;
                    green400?: string;
                    green500?: string;
                    green600?: string;
                    green700?: string;
                    green800?: string;
                    green900?: string;
                    blue50?: string;
                    blue100?: string;
                    blue200?: string;
                    blue300?: string;
                    blue400?: string;
                    blue500?: string;
                    blue600?: string;
                    blue700?: string;
                    blue800?: string;
                    blue900?: string;
                    primary50?: string;
                    primary100?: string;
                    primary200?: string;
                    primary300?: string;
                    primary400?: string;
                    primary500?: string;
                    primary600?: string;
                    primary700?: string;
                    primary800?: string;
                    primary900?: string;
                    purple50?: string;
                    purple100?: string;
                    purple200?: string;
                    purple300?: string;
                    purple400?: string;
                    purple500?: string;
                    purple600?: string;
                    purple700?: string;
                    purple800?: string;
                    purple900?: string;
                    accent?: "";
                    accentText?: "";
                    primary?: "";
                    body?: "";
                    background?: "";
                    link?: "";
                    linkHover?: "";
                    text?: "";
                    textInverse?: "";
                    textSecondary?: "";
                    textDanger?: "";
                    textWarning?: "";
                    textPlaceholder?: "";
                    textSuccess?: "";
                    rewardBg?: "";
                    rewardContent?: "";
                    cardBg?: "";
                    inputBorder?: "";
                    inputBorderFocus?: "";
                    inputBg?: "";
                    inputDangerBorder?: "";
                    inputDangerBg?: "";
                    inputDisabledBg?: "";
                    inputDisabledText?: "";
                    progressBg?: "";
                    progressValue?: "";
                    progressCursor?: "";
                    trackBg?: "";
                    divider?: "";
                    menuItemBg?: "";
                    menuItemBgSelected?: "";
                    menuItemBgHovered?: "";
                    menuItemBgActive?: "";
                    skeletonBg?: "";
                };
                font?: {
                    body?: "";
                };
                space?: {
                    "0"?: "";
                    "1"?: "";
                    "2"?: "";
                    "3"?: "";
                    "4"?: "";
                    "5"?: "";
                    "6"?: "";
                    "7"?: "";
                    "8"?: "";
                    "9"?: "";
                    "10"?: "";
                    "11"?: "";
                    "12"?: "";
                    "13"?: "";
                    "14"?: "";
                    "15"?: "";
                    "16"?: "";
                    "17"?: "";
                    "18"?: "";
                    "19"?: "";
                    "20"?: "";
                    "21"?: "";
                    "22"?: "";
                    "23"?: "";
                    "24"?: "";
                    "25"?: "";
                    "26"?: "";
                    "27"?: "";
                    "28"?: "";
                    "29"?: "";
                    "30"?: "";
                    auto?: "";
                    full?: "";
                    fit?: "";
                    max?: "";
                    min?: "";
                    viewHeight?: "";
                    viewWidth?: "";
                    containerSm?: "";
                    containerMd?: "";
                    containerLg?: "";
                    containerXl?: "";
                    prose?: "";
                    none?: "";
                };
                borderWidth?: {
                    none?: "";
                    sm?: "";
                    base?: "";
                    md?: "";
                    lg?: "";
                    xl?: "";
                };
                borderStyle?: {
                    none?: "";
                    solid?: "";
                    dotted?: "";
                    dashed?: "";
                    groove?: "";
                    ridge?: "";
                    hidden?: "";
                    double?: "";
                    inset?: "";
                    outset?: "";
                    unset?: "";
                };
                boxShadow?: {
                    xs?: "";
                    sm?: "";
                    base?: "";
                    md?: "";
                    lg?: "";
                    xl?: "";
                    "2xl"?: "";
                    inset?: "";
                    primaryOutline?: "";
                    none?: "";
                    "dark-lg"?: "";
                };
                radii?: {
                    none?: "";
                    sm?: "";
                    base?: "";
                    md?: "";
                    lg?: "";
                    xl?: "";
                    "2xl"?: "";
                    "3xl"?: "";
                    "4xl"?: "";
                    full?: "";
                };
                letterSpacing?: {
                    tighter?: "";
                    tight?: "";
                    normal?: "";
                    wide?: "";
                    wider?: "";
                    widest?: "";
                };
                lineHeight?: {
                    normal?: "";
                    none?: "";
                    shorter?: "";
                    short?: "";
                    base?: "";
                    tall?: "";
                    taller?: "";
                };
                fontWeight?: {
                    hairline?: "";
                    thin?: "";
                    light?: "";
                    normal?: "";
                    medium?: "";
                    semibold?: "";
                    bold?: "";
                    extrabold?: "";
                    black?: "";
                };
                fontSize?: {
                    "3xs"?: "";
                    "2xs"?: "";
                    xs?: "";
                    sm?: "";
                    md?: "";
                    lg?: "";
                    xl?: "";
                    "2xl"?: "";
                    "3xl"?: "";
                    "4xl"?: "";
                    "5xl"?: "";
                    "6xl"?: "";
                    "7xl"?: "";
                    "8xl"?: "";
                    "9xl"?: "";
                    "10xl"?: "";
                    "11xl"?: "";
                    "12xl"?: "";
                    "13xl"?: "";
                    "14xl"?: "";
                    "15xl"?: "";
                };
                zIndex?: {
                    "-1"?: "";
                    "0"?: "";
                    "10"?: "";
                    "20"?: "";
                    "30"?: "";
                    "40"?: "";
                    "50"?: "";
                    "100"?: "";
                    auto?: "";
                };
            };
        }[];
        overrideStyleManager: {
            _overrideMap: {
                button?: {
                    color?: {
                        light: string;
                        dark: string;
                    };
                    borderColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverBg?: {
                        light: string;
                        dark: string;
                    };
                    activeBg?: {
                        light: string;
                        dark: string;
                    };
                    disabledBg?: {
                        light: string;
                        dark: string;
                    };
                    focusedBg?: {
                        light: string;
                        dark: string;
                    };
                    bg?: {
                        light: string;
                        dark: string;
                    };
                    hoverColor?: {
                        light: string;
                        dark: string;
                    };
                    activeColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverShadow?: {
                        light: string;
                        dark: string;
                    };
                    activeShadow?: {
                        light: string;
                        dark: string;
                    };
                    disabledShadow?: {
                        light: string;
                        dark: string;
                    };
                    focusedShadow?: {
                        light: string;
                        dark: string;
                    };
                    shadow?: {
                        light: string;
                        dark: string;
                    };
                    hoverBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    activeBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedBorderColor?: {
                        light: string;
                        dark: string;
                    };
                };
                "clipboard-copy-text"?: {
                    color?: {
                        light: string;
                        dark: string;
                    };
                    borderColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverBg?: {
                        light: string;
                        dark: string;
                    };
                    activeBg?: {
                        light: string;
                        dark: string;
                    };
                    disabledBg?: {
                        light: string;
                        dark: string;
                    };
                    focusedBg?: {
                        light: string;
                        dark: string;
                    };
                    bg?: {
                        light: string;
                        dark: string;
                    };
                    hoverColor?: {
                        light: string;
                        dark: string;
                    };
                    activeColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverShadow?: {
                        light: string;
                        dark: string;
                    };
                    activeShadow?: {
                        light: string;
                        dark: string;
                    };
                    disabledShadow?: {
                        light: string;
                        dark: string;
                    };
                    focusedShadow?: {
                        light: string;
                        dark: string;
                    };
                    shadow?: {
                        light: string;
                        dark: string;
                    };
                    hoverBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    activeBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedBorderColor?: {
                        light: string;
                        dark: string;
                    };
                };
                "connect-modal"?: {
                    color?: {
                        light: string;
                        dark: string;
                    };
                    borderColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverBg?: {
                        light: string;
                        dark: string;
                    };
                    activeBg?: {
                        light: string;
                        dark: string;
                    };
                    disabledBg?: {
                        light: string;
                        dark: string;
                    };
                    focusedBg?: {
                        light: string;
                        dark: string;
                    };
                    bg?: {
                        light: string;
                        dark: string;
                    };
                    hoverColor?: {
                        light: string;
                        dark: string;
                    };
                    activeColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverShadow?: {
                        light: string;
                        dark: string;
                    };
                    activeShadow?: {
                        light: string;
                        dark: string;
                    };
                    disabledShadow?: {
                        light: string;
                        dark: string;
                    };
                    focusedShadow?: {
                        light: string;
                        dark: string;
                    };
                    shadow?: {
                        light: string;
                        dark: string;
                    };
                    hoverBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    activeBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedBorderColor?: {
                        light: string;
                        dark: string;
                    };
                };
                "connect-modal-install-button"?: {
                    color?: {
                        light: string;
                        dark: string;
                    };
                    borderColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverBg?: {
                        light: string;
                        dark: string;
                    };
                    activeBg?: {
                        light: string;
                        dark: string;
                    };
                    disabledBg?: {
                        light: string;
                        dark: string;
                    };
                    focusedBg?: {
                        light: string;
                        dark: string;
                    };
                    bg?: {
                        light: string;
                        dark: string;
                    };
                    hoverColor?: {
                        light: string;
                        dark: string;
                    };
                    activeColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverShadow?: {
                        light: string;
                        dark: string;
                    };
                    activeShadow?: {
                        light: string;
                        dark: string;
                    };
                    disabledShadow?: {
                        light: string;
                        dark: string;
                    };
                    focusedShadow?: {
                        light: string;
                        dark: string;
                    };
                    shadow?: {
                        light: string;
                        dark: string;
                    };
                    hoverBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    activeBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedBorderColor?: {
                        light: string;
                        dark: string;
                    };
                };
                "connect-modal-head-title"?: {
                    color?: {
                        light: string;
                        dark: string;
                    };
                    borderColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverBg?: {
                        light: string;
                        dark: string;
                    };
                    activeBg?: {
                        light: string;
                        dark: string;
                    };
                    disabledBg?: {
                        light: string;
                        dark: string;
                    };
                    focusedBg?: {
                        light: string;
                        dark: string;
                    };
                    bg?: {
                        light: string;
                        dark: string;
                    };
                    hoverColor?: {
                        light: string;
                        dark: string;
                    };
                    activeColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverShadow?: {
                        light: string;
                        dark: string;
                    };
                    activeShadow?: {
                        light: string;
                        dark: string;
                    };
                    disabledShadow?: {
                        light: string;
                        dark: string;
                    };
                    focusedShadow?: {
                        light: string;
                        dark: string;
                    };
                    shadow?: {
                        light: string;
                        dark: string;
                    };
                    hoverBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    activeBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedBorderColor?: {
                        light: string;
                        dark: string;
                    };
                };
                "connect-modal-wallet-button"?: {
                    color?: {
                        light: string;
                        dark: string;
                    };
                    borderColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverBg?: {
                        light: string;
                        dark: string;
                    };
                    activeBg?: {
                        light: string;
                        dark: string;
                    };
                    disabledBg?: {
                        light: string;
                        dark: string;
                    };
                    focusedBg?: {
                        light: string;
                        dark: string;
                    };
                    bg?: {
                        light: string;
                        dark: string;
                    };
                    hoverColor?: {
                        light: string;
                        dark: string;
                    };
                    activeColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverShadow?: {
                        light: string;
                        dark: string;
                    };
                    activeShadow?: {
                        light: string;
                        dark: string;
                    };
                    disabledShadow?: {
                        light: string;
                        dark: string;
                    };
                    focusedShadow?: {
                        light: string;
                        dark: string;
                    };
                    shadow?: {
                        light: string;
                        dark: string;
                    };
                    hoverBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    activeBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedBorderColor?: {
                        light: string;
                        dark: string;
                    };
                };
                "connect-modal-wallet-button-label"?: {
                    color?: {
                        light: string;
                        dark: string;
                    };
                    borderColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverBg?: {
                        light: string;
                        dark: string;
                    };
                    activeBg?: {
                        light: string;
                        dark: string;
                    };
                    disabledBg?: {
                        light: string;
                        dark: string;
                    };
                    focusedBg?: {
                        light: string;
                        dark: string;
                    };
                    bg?: {
                        light: string;
                        dark: string;
                    };
                    hoverColor?: {
                        light: string;
                        dark: string;
                    };
                    activeColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverShadow?: {
                        light: string;
                        dark: string;
                    };
                    activeShadow?: {
                        light: string;
                        dark: string;
                    };
                    disabledShadow?: {
                        light: string;
                        dark: string;
                    };
                    focusedShadow?: {
                        light: string;
                        dark: string;
                    };
                    shadow?: {
                        light: string;
                        dark: string;
                    };
                    hoverBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    activeBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedBorderColor?: {
                        light: string;
                        dark: string;
                    };
                };
                "connect-modal-wallet-button-sublogo"?: {
                    color?: {
                        light: string;
                        dark: string;
                    };
                    borderColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverBg?: {
                        light: string;
                        dark: string;
                    };
                    activeBg?: {
                        light: string;
                        dark: string;
                    };
                    disabledBg?: {
                        light: string;
                        dark: string;
                    };
                    focusedBg?: {
                        light: string;
                        dark: string;
                    };
                    bg?: {
                        light: string;
                        dark: string;
                    };
                    hoverColor?: {
                        light: string;
                        dark: string;
                    };
                    activeColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverShadow?: {
                        light: string;
                        dark: string;
                    };
                    activeShadow?: {
                        light: string;
                        dark: string;
                    };
                    disabledShadow?: {
                        light: string;
                        dark: string;
                    };
                    focusedShadow?: {
                        light: string;
                        dark: string;
                    };
                    shadow?: {
                        light: string;
                        dark: string;
                    };
                    hoverBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    activeBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedBorderColor?: {
                        light: string;
                        dark: string;
                    };
                };
                "connect-modal-qr-code"?: {
                    color?: {
                        light: string;
                        dark: string;
                    };
                    borderColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverBg?: {
                        light: string;
                        dark: string;
                    };
                    activeBg?: {
                        light: string;
                        dark: string;
                    };
                    disabledBg?: {
                        light: string;
                        dark: string;
                    };
                    focusedBg?: {
                        light: string;
                        dark: string;
                    };
                    bg?: {
                        light: string;
                        dark: string;
                    };
                    hoverColor?: {
                        light: string;
                        dark: string;
                    };
                    activeColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverShadow?: {
                        light: string;
                        dark: string;
                    };
                    activeShadow?: {
                        light: string;
                        dark: string;
                    };
                    disabledShadow?: {
                        light: string;
                        dark: string;
                    };
                    focusedShadow?: {
                        light: string;
                        dark: string;
                    };
                    shadow?: {
                        light: string;
                        dark: string;
                    };
                    hoverBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    activeBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedBorderColor?: {
                        light: string;
                        dark: string;
                    };
                };
                "connect-modal-qr-code-shadow"?: {
                    color?: {
                        light: string;
                        dark: string;
                    };
                    borderColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverBg?: {
                        light: string;
                        dark: string;
                    };
                    activeBg?: {
                        light: string;
                        dark: string;
                    };
                    disabledBg?: {
                        light: string;
                        dark: string;
                    };
                    focusedBg?: {
                        light: string;
                        dark: string;
                    };
                    bg?: {
                        light: string;
                        dark: string;
                    };
                    hoverColor?: {
                        light: string;
                        dark: string;
                    };
                    activeColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverShadow?: {
                        light: string;
                        dark: string;
                    };
                    activeShadow?: {
                        light: string;
                        dark: string;
                    };
                    disabledShadow?: {
                        light: string;
                        dark: string;
                    };
                    focusedShadow?: {
                        light: string;
                        dark: string;
                    };
                    shadow?: {
                        light: string;
                        dark: string;
                    };
                    hoverBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    activeBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedBorderColor?: {
                        light: string;
                        dark: string;
                    };
                };
                "connect-modal-qr-code-error"?: {
                    color?: {
                        light: string;
                        dark: string;
                    };
                    borderColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverBg?: {
                        light: string;
                        dark: string;
                    };
                    activeBg?: {
                        light: string;
                        dark: string;
                    };
                    disabledBg?: {
                        light: string;
                        dark: string;
                    };
                    focusedBg?: {
                        light: string;
                        dark: string;
                    };
                    bg?: {
                        light: string;
                        dark: string;
                    };
                    hoverColor?: {
                        light: string;
                        dark: string;
                    };
                    activeColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverShadow?: {
                        light: string;
                        dark: string;
                    };
                    activeShadow?: {
                        light: string;
                        dark: string;
                    };
                    disabledShadow?: {
                        light: string;
                        dark: string;
                    };
                    focusedShadow?: {
                        light: string;
                        dark: string;
                    };
                    shadow?: {
                        light: string;
                        dark: string;
                    };
                    hoverBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    activeBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedBorderColor?: {
                        light: string;
                        dark: string;
                    };
                };
                "connect-modal-qr-code-error-button"?: {
                    color?: {
                        light: string;
                        dark: string;
                    };
                    borderColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverBg?: {
                        light: string;
                        dark: string;
                    };
                    activeBg?: {
                        light: string;
                        dark: string;
                    };
                    disabledBg?: {
                        light: string;
                        dark: string;
                    };
                    focusedBg?: {
                        light: string;
                        dark: string;
                    };
                    bg?: {
                        light: string;
                        dark: string;
                    };
                    hoverColor?: {
                        light: string;
                        dark: string;
                    };
                    activeColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverShadow?: {
                        light: string;
                        dark: string;
                    };
                    activeShadow?: {
                        light: string;
                        dark: string;
                    };
                    disabledShadow?: {
                        light: string;
                        dark: string;
                    };
                    focusedShadow?: {
                        light: string;
                        dark: string;
                    };
                    shadow?: {
                        light: string;
                        dark: string;
                    };
                    hoverBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    activeBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedBorderColor?: {
                        light: string;
                        dark: string;
                    };
                };
                "connect-modal-qr-code-loading"?: {
                    color?: {
                        light: string;
                        dark: string;
                    };
                    borderColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverBg?: {
                        light: string;
                        dark: string;
                    };
                    activeBg?: {
                        light: string;
                        dark: string;
                    };
                    disabledBg?: {
                        light: string;
                        dark: string;
                    };
                    focusedBg?: {
                        light: string;
                        dark: string;
                    };
                    bg?: {
                        light: string;
                        dark: string;
                    };
                    hoverColor?: {
                        light: string;
                        dark: string;
                    };
                    activeColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedColor?: {
                        light: string;
                        dark: string;
                    };
                    hoverShadow?: {
                        light: string;
                        dark: string;
                    };
                    activeShadow?: {
                        light: string;
                        dark: string;
                    };
                    disabledShadow?: {
                        light: string;
                        dark: string;
                    };
                    focusedShadow?: {
                        light: string;
                        dark: string;
                    };
                    shadow?: {
                        light: string;
                        dark: string;
                    };
                    hoverBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    activeBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    disabledBorderColor?: {
                        light: string;
                        dark: string;
                    };
                    focusedBorderColor?: {
                        light: string;
                        dark: string;
                    };
                };
            };
            _theme: ThemeVariant;
            update: (overrideMap: Partial<Record<import("styles/override/override.types").OverridableComponents, Partial<Record<import("styles/override/override.types").OverridableProp, {
                light: string;
                dark: string;
            }>>>>, theme: ThemeVariant) => void;
            applyOverrides: (component: import("styles/override/override.types").OverridableComponents) => {
                [cssVarName: string]: string;
            };
        };
        _hasHydrated: boolean;
        setThemeMode: (mode: ModePreference) => void;
        setTheme: (theme: ThemeVariant, themeClass: string) => void;
        setThemeDefs: (defs: Array<ThemeDef>, defaultTheme?: string) => void;
        setCustomTheme: (customTheme: string) => void;
        setThemeAccent: (accent: Accent) => void;
        setHasHydrated: (hasHydrated: boolean) => void;
        formatNumber: NumberFormatter;
        setFormatNumberFn: (fn: NumberFormatter) => void;
    }) => void), shouldReplace?: boolean): void;
};
export const skeletonClass: string;
export { default } from "./box.vue";
export { default } from "./theme-provider.vue";

//# sourceMappingURL=index.d.ts.map
